System 2.0.0.0 4.0.0.0 System.Enum

The enumeration is used to specify the serialization mechanism used by the application settings provider to persist the values of application settings properties. For example, the uses this enumeration in its constructor to request that a property or group of properties be persisted using the specified serialization mechanism.

Determines the serialization scheme used to store application settings.

- Field
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsSerializeAs

  The settings property is serialized using binary object serialization.

- Field
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsSerializeAs

  The settings provider has implicit knowledge of the property or its type and picks an appropriate serialization mechanism. Often used for custom serialization.

- Field
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsSerializeAs

  The settings property is serialized as plain text.

- Field
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsSerializeAs

  The settings property is serialized as XML using XML serialization.